#! /usr/bin/perl
#
# today.pl -- 今日の曜日を表示する

use 5.010;
use strict;
use warnings;

my $today = (localtime(time))[6]; # 今日の曜日

my @week = (
    Sunday    => "日曜日",
    Monday    => "月曜日",
    Tuesday   => "火曜日",
    Wednesday => "水曜日",
    Thursday  => "木曜日",
    Friday    => "金曜日",
    Saturday  => "土曜日",
); # 英語と日本語の日付が交互に入った配列（前の例題からリサイクル）

my @week_English = @week[0, 2, 4, 6, 8, 10, 12]; # 英語だけ入った配列
my %week = @week; # 英和対訳のハッシュ

say "Today is $week_English[$today]!";
say "今日は$week{$week_English[$today]}だよ！";
