#! /usr/bin/perl
#
# uriageSummary2.pl -- 今日1日の売り上げをサマリーする（チェック付き）

use 5.010;
use strict;
use warnings;

my $uriage_file = shift;

my %uriage;
open URIAGE, "<", $uriage_file
    or die "cannot open $uriage_file because $!\n";
while (<URIAGE>) {
    chomp;
    next if substr($_, 0, 1) eq "#";
    my ($name, $kosuu) = split;
    $uriage{$name} += $kosuu;
}
close URIAGE;

say "# uriage_summary.txt";
say "# name\tureyuki";

for my $name (sort keys %uriage) {
    say join "\t", $name, $uriage{$name};
}
