#! /usr/bin/perl
#
# uriageSummary5.pl -- 今日1日の売り上げをサマリーする
# （ファイルテスト演算子で存在チェック）

use 5.010;
use strict;
use warnings;

my $uriage_file = shift;
my $uriage_summary_file = "uriage_summary.txt";

if (-f $uriage_summary_file) {
    die "$uriage_summary_file already exists!\n";
}

my %uriage;
open URIAGE, "<", $uriage_file
    or die "cannot open $uriage_file because $!\n";

while (<URIAGE>) {
    chomp;
    next if substr($_, 0, 1) eq "#";
    my ($name, $kosuu) = split;
    $uriage{$name} += $kosuu;
}
close URIAGE;

open SUMMARY, ">", $uriage_summary_file
    or die "cannot open $uriage_summary_file because $!\n";
select SUMMARY;

say "# uriage_summary.txt";
say "# name\tureyuki";

for my $name (sort keys %uriage) {
    say join "\t", $name, $uriage{$name};
}

close SUMMARY;
