#! /usr/bin/perl
#
# monthDays.pl -- 月の日数の分類（forとハッシュ）

use 5.010;
use strict;
use warnings;

my @mDays = (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
my %mSummary = ();

for my $mDay (@mDays) {
    $mSummary{$mDay} = 1;
}

my @mSorted = sort {$a <=> $b} keys %mSummary;
my $mNumber = scalar @mSorted;
say "月の日数は @mSorted の $mNumber 種類があります。";
