#! /usr/bin/perl
#
# oyster_month_hash.pl -- 牡蠣の食べごろを調べる（ハッシュ編）

use 5.010;
use strict;
use warnings;

say "牡蠣が食べられる月は･･･";

my %month = (
    January => 1,
    February => 2,
    March => 3,
    April => 4,
    May => 5,
    June => 6,
    July => 7,
    August => 8,
    September => 9,
    October => 10,
    November => 11,
    December => 12,
);

for my $month (sort {$month{$a} <=> $month{$b}} keys %month) {
    if (index($month, "r") > 0) {
        say "$month{$month}月";
    }
}
