#! /usr/bin/perl
#
# heron14.pl -- ヘロンの公式で三角形の面積を3回計算
#（エラー チェック付き）

use 5.010;
use strict;
use warnings;

my ($a, $b, $c) = (45, 45, 30);
my $space = &triSpace($a, $b, $c);
if ($space) {
    say "3辺が $a m、$b m、$c mの三角形の土地Aの面積は$space平方mです";
} else {
    say "3辺が $a m、$b m、$c mの三角形の土地Aの面積は計算できません";
}

($a, $b, $c) = (30, 35, 550);
$space = &triSpace($a, $b, $c);
if ($space) {
    say "3辺が $a m、$b m、$c mの三角形の土地Bの面積は$space平方mです";
} else {
    say "3辺が $a m、$b m、$c mの三角形の土地Bの面積は計算できません";
}

($a, $b, $c) = (57, 44, 33);
$space = &triSpace($a, $b, $c);
if ($space) {
    say "3辺が $a m、$b m、$c mの三角形の土地Cの面積は$space平方mです";
} else {
    say "3辺が $a m、$b m、$c mの三角形の土地Cの面積は計算できません";
}

sub triSpace { # ヘロンの公式で三角形の面積を求める
    my ($a, $b, $c) = @_;
    my $s = 1 / 2 * ($a + $b + $c);
    my $t = $s * ($s - $a) * ($s - $b) * ($s - $c);
    return if $t < 0; # $tが負の場合はサブルーチンを脱出

    my $space = sqrt($t);
    return $space;
}
