#! /usr/bin/perl
#
# globalSearch.pl -- HTML の文字列を検索置換

use strict;
use warnings;
use File::Find;

my $ptn = shift
    or die "give me search pattern!\n usage: $0 search_pattern\n";

find(\&fileProc, '.');

sub fileProc {
    return unless -T $_;
    open IN, "<", $_;
    while (<IN>) {
	print "$File::Find::name ($.): $_" if /$ptn/;
    }
    close IN;
}
