#! /usr/bin/perl
#
# uriageSummary3.pl -- 1̔グT}[io̓t@Cwj

use 5.010;
use strict;
use warnings;

my $uriage_file = shift;
my $uriage_summary_file = "uriage_summary.txt";

my %uriage;
open URIAGE, "<", $uriage_file
    or die "cannot open $uriage_file because $!\n";
while (<URIAGE>) {
    chomp;
    next if substr($_, 0, 1) eq "#";
    my ($name, $kosuu) = split;
    $uriage{$name} += $kosuu;
}
close URIAGE;

open SUMMARY, ">", $uriage_summary_file
    or die "cannot open $uriage_summary_file because $!\n";

say SUMMARY "# uriage_summary.txt";
say SUMMARY "# name\tureyuki";

for my $name (sort keys %uriage) {
    say SUMMARY join "\t", $name, $uriage{$name};
}

close SUMMARY;
